Unable to run vizier-pem on EKS arm64 nodes

Hey,

I been trying to deploy New relic on our EKS cluster.
Unfortunately, the pods of “vizier-pem” of pixie component is not running on half of our nodes - the pods are crashing:
for example:
vizier-pem-p4lv2 0/1 CrashLoopBackOff

It seems to be related to their CPU arch - arm64.
I didn’t found any solution / work around for this issue online or on the community forums.

If you have any solution / idea regarding this issue, please share

Thank you in advance

hello @eladg welcome :wave: to the hub,
vizier-pem pods are part of Pixie and Pixie does not support arm64:

Hope this helps!

2 Likes